import { AddressesYaml } from './ModelAddressesYaml.js';
export declare class CryptoAddresses411 {
    /**
     * addresses.yaml 暗号化
     * @param {AddressesYaml} yaml addresses.yaml
     * @param {string} passwd パスワード
     * @returns void
     */
    static encrypt(yaml: AddressesYaml, passwd: string): void;
    /**
     * addresses.yaml 復号化
     * @param {AddressesYaml} yaml addresses.yaml
     * @param {string} passwd パスワード
     * @returns {boolean} 暗号化可能か
     */
    static tryDecrypt(yaml: AddressesYaml, passwd: string): boolean;
}
